org.apache.sysds.lops

## Enum WeightedSquaredLoss.WeightsType

- java.lang.Object
- - java.lang.Enum<WeightedSquaredLoss.WeightsType>
  - - org.apache.sysds.lops.WeightedSquaredLoss.WeightsType

- All Implemented Interfaces:
    Serializable, Comparable<WeightedSquaredLoss.WeightsType>
  Enclosing class:
    WeightedSquaredLoss

      public static enum WeightedSquaredLoss.WeightsType
      extends Enum<WeightedSquaredLoss.WeightsType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `POST`
    `POST_NZ`
    `PRE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasFourInputs()`
    `static WeightedSquaredLoss.WeightsType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WeightedSquaredLoss.WeightsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POST

          public static final WeightedSquaredLoss.WeightsType POST

    - #### POST_NZ

          public static final WeightedSquaredLoss.WeightsType POST_NZ

    - #### PRE

          public static final WeightedSquaredLoss.WeightsType PRE

    - #### NONE

          public static final WeightedSquaredLoss.WeightsType NONE

  - ### Method Detail

    - #### values

          public static WeightedSquaredLoss.WeightsType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WeightedSquaredLoss.WeightsType c : WeightedSquaredLoss.WeightsType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WeightedSquaredLoss.WeightsType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### hasFourInputs

          public boolean hasFourInputs()

Copyright © 2021 The Apache Software Foundation. All rights reserved.